version: "3"
services:
  application:
    build: .
    container_name: azkaban
    environment:
      - JAVA_OPTS=${JAVA_OPTS:-"-Xmx6124m"}
      - CACHE_EVENTS=${CACHE_EVENTS:-/caching-approaches-comparison/applications/output/azkaban-developers-cache}
      - CACHE_REGISTER_SIZE=false
    volumes:
      - application:/application
      - /root/.gradle:/home/gradle/.gradle
      - /root/.m2:/root/.m2
      - ../../../:/caching-approaches-comparison
    restart: unless-stopped
    ports:
      - 8080:8081
    logging:
      options:
        max-size: "10m"
        max-file: "10"
volumes:
  application: